OgreMemorySTLAllocator.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

Go to the source code of this file.

## Classes

struct | Ogre::STLAllocatorBase< T >
| Wrapper class for operating as an STL container allocator. More...
struct | Ogre::STLAllocatorBase< const T >
class | Ogre::STLAllocator< T, AllocPolicy >
struct | Ogre::STLAllocator< T, AllocPolicy >::rebind< U >
| the standard rebind mechanism More...

## Namespaces

namespace | Ogre

## Functions

template<typename T , typename T2 , typename P >
bool | Ogre::operator== (STLAllocator< T, P > const &, STLAllocator< T2, P > const &)
| determine equality, can memory from another allocator be released by this allocator, (ISO C++)
template<typename T , typename P , typename OtherAllocator >
bool | Ogre::operator== (STLAllocator< T, P > const &, OtherAllocator const &)
| determine equality, can memory from another allocator be released by this allocator, (ISO C++)
template<typename T , typename T2 , typename P >
bool | Ogre::operator!= (STLAllocator< T, P > const &, STLAllocator< T2, P > const &)
| determine equality, can memory from another allocator be released by this allocator, (ISO C++)
template<typename T , typename P , typename OtherAllocator >
bool | Ogre::operator!= (STLAllocator< T, P > const &, OtherAllocator const &)
| determine equality, can memory from another allocator be released by this allocator, (ISO C++)

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:25